@keyframes round {
    0% {
        transform: rotate(0);
    }
    100% {
        transform: rotate(360deg);
    }
}

html, body, h1, h2, h3, h4, h5, h6, p, img, ul, li, ol {
    margin: 0;
    padding: 0
}

html {
    font-family: sans-serif;
    line-height: 1.15;
    -webkit-text-size-adjust: 100%;
    -ms-text-size-adjust: 100%;
    -ms-overflow-style: scrollbar;
    -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
}

body {
    font-size: 14px;
    line-height: 1.5;
    font-family: -apple-system, BlinkMacSystemFont, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol", "Segoe UI", "PingFang SC", "Hiragino Sans GB", "Microsoft YaHei", "Helvetica Neue", Helvetica, Arial, sans-serif;
    background-color: var(--background-color);
    color: var(--text-color);
    overflow-x: hidden;
    padding-top: 56px;
    font-feature-settings: "tnum";
    font-variant: tabular-nums;
    transition: all .2s;
}

h1, h2, h3, h4, h5, h6 {
    color: inherit;
    text-rendering: optimizelegibility;
}

img {
    border: none;
    filter: var(--img-filter);
}

a {
    color: inherit;
    text-decoration: none
}

a:hover {
    color: var(--primary-color);
}

li {
    list-style-type: none
}

input, textarea {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    font-size: inherit
}

.ce6812608 {
    width: 1em;
    height: 1em;
    vertical-align: -0.15em;
    fill: currentColor;
    overflow: hidden;
}

.c7032cbe0 {
    display: flex !important;
    align-items: center;
}

.ca0f24438 {
    flex: 1;
}

.c9ed7871f {
    flex-direction: column;
    align-items: inherit;
}

.cb930e342 {
    justify-content: space-between;
    align-items: center;
}

.c93ebc456 {
    cursor: pointer;
}

.c0ea20618 {
    box-shadow: var(--light-shadow);
}

.cfbb0281d {
    text-align: center;
}

.c99c386b9 {
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.c99c386b9 img {
    width: 1.5em;
    height: 1.5em;
    margin-right: 5px;
    border-radius: 50%;
}


#browsehappy {
    text-align: center;
    background: #ff0;
    padding: 10px 0
}

#search-trigger {
    cursor: pointer;
    font-size: 21px;
}

.c1e9136c7 {
    font-weight: bold
}

.c3db3b129 {
    height: 15px
}

.c22be34a2 {
    font-size: inherit;
}

.c990635e5 {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.ca563ba79 {
    object-fit: cover;
}

.c64e37a21 {
    display: block;
    width: 1366px;
    box-sizing: border-box;
    max-width: 100%;
    margin: 0 auto;
    padding: 0 10px;
}

.c079a4867, .fl {
    float: left
}

.c2d204012, .fr {
    float: right
}

.c40ea1b66, .cfb3852c5 {
    clear: both
}

.c40ea1b66:after {
    content: '';
    display: block;
    clear: both
}

.cb4c863ee {
    box-shadow: var(--primary-shadow) !important
}

.ccadd3a2c {
    display: none;
}

.cf6e8997b {
    display: flex;
}

.cf6e8997b .caa29d2ac {
    list-style-type: none;
    color: inherit;
    margin-right: 15px
}

.caacd5021 {
    display: none
}

.c3f17e2f9 {
    display: inline-block;
    line-height: 1;
    font-size: 12px;
    padding: 5px 8px;
    vertical-align: middle;
    border-radius: var(--border-radius);
    font-weight: normal
}

.c4899ff4b {
    color: var(--danger-color);
    background: var(--danger-bg-color);
}

.c8270c089 {
    color: var(--primary-color);
    background: rgba(208, 208, 208, 0.3)
}

.cec3eda5f {
    margin: 15px 0;
}

.cec3eda5f .cbe052522 {
    margin-right: 5px;
    padding: 0;
}

.cec3eda5f .cbe052522:after {
    content: ' >';
    margin-left: 5px;
}

.cec3eda5f .cbe052522:last-of-type:after {
    content: ''
}

.cae01e54c {
    position: relative;
    min-height: 500px;
    margin-top: 15px;
}

.c80da7e65 {
    box-sizing: border-box;
}

.c80da7e65:after {
    display: block;
    content: '';
    clear: both;
}

.c80da7e65 .c45c72f3f {
    float: left;
    width: calc(100% - 345px);
}

.c80da7e65 .ca305d6d0 {
    float: right;
    width: 330px;
    margin-left: 15px;
}

.c5042ca4f {
    background: #fff;
    padding: 15px 20px;
    border-bottom: 1px solid #f2f5ff
}

.c5042ca4f span {
    position: relative;
    display: inline-block;
    font-size: 16px;
}

.cdee3dba1 {
    margin: 25px auto 0;
    text-align: center
}

.cdee3dba1 a, .cdee3dba1 span {
    display: inline-block;
    text-decoration: none;
    padding: 8px 15px;
    box-sizing: border-box;
    margin: 0 2px;
    background-color: var(--front-dark-bg-color);
    color: #606266;
    min-width: 30px;
    border-radius: var(--border-radius);
}

.cdee3dba1 span, .cdee3dba1 a:hover {
    background-color: var(--primary-color);
    color: #fff
}

.c49b6f385 {
    clear: both
}

.cd2d5d5fc {
    margin-top: 30px;
    padding: 30px 0;
    background-color: #131313;
    color: #9E9E9E;
    overflow: hidden
}

.cd2d5d5fc .c5888a98f {
    display: inline-block;
    margin-right: 10px;
    margin-bottom: 10px
}

.c6de45927 {
    text-align: center;
    padding: 30px 0;
    color: #9E9E9E;
    margin-top: 15px;
}

.cdbc7e906 {
    position: fixed;
    bottom: 20px;
    right: 20px;
    z-index: 1000;
}

.cdbc7e906 .caa29d2ac {
    display: block;
    text-align: center;
    background-color: #fff;
    width: 48px;
    height: 48px;
    line-height: 48px;
    position: relative;
    cursor: pointer;
    margin-bottom: 5px;
    border-radius: var(--border-radius);
    box-shadow: var(--light-shadow);
}

.cdbc7e906 .caa29d2ac:hover,
.cdbc7e906 .caa29d2ac.active {
    background-color: var(--primary-color);
}

.cdbc7e906 .caa29d2ac:hover .c22be34a2,
.cdbc7e906 .caa29d2ac.active .c22be34a2 {
    color: #fff
}

.cdbc7e906 .caa29d2ac:hover .cbdd3f09c,
.cdbc7e906 .caa29d2ac.active .cbdd3f09c {
    display: block;
    color: #000;
}

.cdbc7e906 .caa29d2ac .cbdd3f09c {
    position: absolute;
    right: 50px;
    bottom: 0;
    background: #fff;
    text-align: left;
    display: none;
    padding: 20px;
    line-height: 2;
    width: 200px;
    box-sizing: border-box;
    overflow: hidden;
    border: 1px solid #EFF2F7;
    border-radius: 4px;
    -webkit-box-shadow: 0 0 5px 0 rgba(158, 158, 158, 0.09);
    box-shadow: 0 0 5px 0 rgba(158, 158, 158, 0.09)
}

.cdbc7e906 .caa29d2ac .cbdd3f09c img {
    display: block;
    width: 100%;
}

.cdbc7e906 .caa29d2ac .cbdd3f09c li {
    display: flex;
}

.cdbc7e906 .caa29d2ac .cbdd3f09c li span:first-of-type {
    white-space: nowrap;
    margin-right: 10px;
}

.cdbc7e906 .c695c64e7 {
    display: none
}

.cdbc7e906 .c22be34a2 {
    font-size: 24px;
    color: #5a5a5a
}

.c344e83bb {
    padding: 0 0 20px;
    color: var(--text-color);
    text-align: center;
    border-bottom: 1px solid var(--line-color);
}

.c344e83bb .c22be34a2 {
    margin-right: 2px;
}

.c344e83bb .caa29d2ac {
    display: inline-block;
    margin-right: 15px;
    vertical-align: middle;
}

.c344e83bb .cde837904 {
    margin-top: 10px;
}

.c344e83bb .cd0c95240 {
    color: var(--primary-color);
}

.cd83f1d82 {
    font-size: 24px;
    font-weight: bold;
    position: relative;
    color: var(--title-color);
}

.c05578a82 {
    text-align: right;
    display: flex;
    white-space: nowrap;
}

.c05578a82 .caa29d2ac {
    background: var(--background-color);
    margin-right: 10px;
    padding: 10px;
}

.c448f53c7 {
    padding: 30px 0;
    line-height: 2;
    font-size: 16px;
    word-break: break-word;
    background: var(--front-bg-color);
}

.c448f53c7 .c4162b316 {
    background: var(--front-dark-bg-color);
    padding: 15px 20px;
    margin-bottom: 2em;
    border-radius: var(--border-radius);
}

.c448f53c7 .c4162b316 p {
    margin-bottom: 0;
    line-height: 2;
}

.c448f53c7 p {
    font-size: 17px;
}

.c448f53c7 p {
    margin-bottom: 1em
}

.c448f53c7 h1, .c448f53c7 h2, .c448f53c7 h3, .c448f53c7 h4, .c448f53c7 h5, .c448f53c7 h6 {
    word-break: break-all;
    color: var(--title-color);
    background: linear-gradient(to bottom, transparent 75%, rgba(119, 239, 225, 0.4) 75%);
    display: inline;
}

.c448f53c7 h1 {
    font-size: 32px;
    margin-bottom: 10px;
}

.c448f53c7 h1:after,
.c448f53c7 h2:after,
.c448f53c7 h3:after,
.c448f53c7 h4:after,
.c448f53c7 h5:after,
.c448f53c7 h6:after {
    content: '';
    display: block;
}

.c448f53c7 h2 {
    width: 100%;
    padding: 5px 0;
    margin-bottom: 1em;
    box-sizing: border-box;
    font-size: 22px;
    border-radius: 4px;
}

.c448f53c7 h3, .c448f53c7 h4, .c448f53c7 h5, .c448f53c7 h6 {
    font-weight: bold;
    font-size: 18px;
    margin: 0.5em 0
}

.c448f53c7 strong {
    font-weight: bold;
}

.c448f53c7 img {
    max-width: 100%;
    height: auto;
}

.c448f53c7 pre {
    margin: 16px 0;
    box-shadow: var(--light-shadow);
}

.c448f53c7 code {
    background-color: var(--front-dark-bg-color);
    padding: 0 10px;
    line-height: 1.5;
    border-radius: 4px;
    display: inline-block;
    font-size: 14px;
    color: var(--text-color);
}

.c448f53c7 pre code {
    background-color: inherit;
}

.c448f53c7 ol, .c448f53c7 ul {
    margin-bottom: 1em;
}

.c448f53c7 ul {
    padding-left: 20px;
}

.c448f53c7 li {
    line-height: 2
}

.c448f53c7 ul li {
    list-style-type: circle;
}

.c448f53c7 ol {
    padding-left: 30px;
}

.c448f53c7 ol li {
    list-style-type: decimal;
}

.c448f53c7 li p {
    display: inline
}

.c448f53c7 .c1fa5809e {
    background-color: var(--front-dark-bg-color);
    padding: 10px 15px;
    text-align: center;
    margin: 1em 0
}

.c448f53c7 blockquote {
    padding: 10px 20px;
    margin: 1em 0;
    color: var(--text-color);
    border-left: 5px solid var(--front-dark-bg-hover-color);
    background: var(--front-dark-bg-color);
}

.c448f53c7 blockquote p {
    margin-bottom: 0;
}

.c448f53c7 hr {
    display: block;
    border: 1px solid transparent;
    border-bottom-color: var(--line-color);
    margin: 1em 0;
}

.c448f53c7 table {
    width: 100%;
    border: 1px solid var(--line-color);
    border-collapse: collapse;
    margin-bottom: 1em;
}

.c448f53c7 table th,
.c448f53c7 table td {
    border-bottom: 1px solid var(--line-color);
    padding: 5px 10px;
    text-align: center;
}

.c448f53c7 table tr:last-of-type td {
    border-bottom: 1px solid var(--line-color);
}

.c448f53c7 table th {
    background-color: var(--line-color)
}

.c448f53c7 video {
    display: block;
    margin: 2em auto
}

.c448f53c7 a {
    color: var(--primary-color);
}

.c448f53c7 .c34b17141 {
    flex-direction: column;
    align-items: center;
    display: flex;
    text-align: center;
    padding: 50px;
    width: fit-content;
    line-height: 1.6;
    margin: 30px auto;
    border-radius: 8px;
    font-size: 22px;
    box-shadow: 0 0 1px 10px #e0e3e9, 15px 15px 10px 10px #f6f6f6;
    letter-spacing: 1em;
    position: relative;
    max-width: 100%;
    box-sizing: border-box;
    color: #000;
}

.c448f53c7 .c34b17141 p {
    font-size: inherit;
    border-bottom: 3px solid #e0e3e9;
    padding-left: 1em;
}

.c448f53c7 .c34b17141.cceeb3e7d {
    font-size: 16px;
    letter-spacing: 0.5em;
}

.c448f53c7 a.c4aeaf01d {
    text-decoration: none;
}

.c448f53c7 .c5635dcf2 {
    padding: 30px;
    text-align: center;
    background: var(--front-dark-bg-color);
    margin: 1em 0;
}

.c448f53c7 .cd445e5a9 {
    padding: 30px;
    border: 2px dashed var(--line-color);
    margin: 1em 0;
    border-radius: 10px;
    display: flex;
}

.c448f53c7 .cd445e5a9 .c5e9095b8 {
    flex: 1;
}

.c448f53c7 .cd445e5a9 .c26ca24dd {
    width: 120px;
}

.c448f53c7 .cd445e5a9 .c26ca24dd img {
    width: 100%;
    border: 5px dashed #dedede;
    border-radius: 5px;
    box-sizing: border-box;
}

.c448f53c7 .cd445e5a9 .cd77fd99a {
    display: inline-block;
    width: 220px;
    margin-right: 15px;
}

.c448f53c7 .cd445e5a9 .c4aeaf01d {
    margin-top: 0;
}

.c04dd9179 .c39f8cad3 {
    background: var(--background-color);
    padding: 7px 1em;
    text-decoration: none;
    font-size: 12px;
    margin-right: 5px;
    border-radius: 2em;
    color: var(--text-color);
    display: inline-block;
    margin-bottom: 5px;
    line-height: 1;
    font-family: monospace;
    cursor: pointer;
}

.c04dd9179 .c39f8cad3:hover {
    background: var(--primary-color);
    color: #fff;
}

.c0e53ce5d .c39f8cad3 {
    padding: 10px 20px;
    margin: 5px 7px;
    font-size: 1em;
    transition: all .2s ease-in-out;
}

.c0e53ce5d .c39f8cad3:hover {
    transform: scale(1.1);
}

.c6e995933 {
    color: #5a5a5a
}

#related_log, .c78efbcc9 {
    line-height: 1.8
}

#related_log p, .c78efbcc9 p {
    margin-bottom: 0
}

#related_log .cddd72a8d, .c78efbcc9 .cddd72a8d {
    display: inline-block
}

.cfb48b9ba {
    box-sizing: border-box;
    padding: 0 15px;
}

.cfb48b9ba h3 {
    font-weight: normal;
}

/*评论列表*/
.ca28a009e .c6d3970c7 {
    display: block;
    box-sizing: border-box;
    margin-bottom: 10px;
    background: var(--front-dark-bg-color);
    padding: 20px;
    border-radius: var(--border-radius);
    border: 1px solid transparent;
}

.ca28a009e .c6d3970c7 .cbf10dfd9 {
    color: var(--light-text-color);
}

.ca28a009e .c6d3970c7 .c97f258d6 {
    margin: 10px 0
}

.ca28a009e .c3e471e88 {
    margin-top: 15px;
}

.c672e3e87 .cbae7dda7 {
    width: 32.5%;
}

#comment-place {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background: rgba(0, 0, 0, 0.3);
    z-index: 9999;
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 20px;
    box-sizing: border-box;
}

#comment-post {
    width: 640px;
    max-width: 100%;
}

/*相关文章*/
.c260a9ce9 .cbaeb7d06 .c185af35b {
    height: 150px;
}

.c260a9ce9 .cbaeb7d06 .c4162b316 {
    display: none;
}

.c260a9ce9 .cbaeb7d06 .c8b5ae97a h3 {
    font-size: 14px;
}

.c2a8a851a {
    cursor: pointer
}

.c2a8a851a:hover {
    color: var(--primary-color);
}

.c8e2c9594 {
    margin-bottom: 15px;
    background: var(--front-bg-color);
    border-radius: 8px;
}

.c8e2c9594 .c1ec2e19b {
    font-size: 28px;
    margin-bottom: 15px;
    font-weight: normal;
}

.c8e2c9594 .c1ec2e19b span {
    font-size: 15px;
    margin-left: 20px;
}

.cd0d61d82 {
    display: flex;
    flex-wrap: wrap;
    background: var(--front-bg-color);
    border-radius: var(--border-radius);
}

.cd0d61d82 li {
    display: block;
    text-align: center;
    padding: 20px;
    width: 12.5%;
    box-sizing: border-box
}

.cd0d61d82 img {
    width: 64px;
    height: 64px;
    border-radius: 50%;
}

.cd0d61d82 .c981bd9cd {
    font-size: 12px;
    white-space: nowrap;
    margin-top: 10px;
    overflow: hidden;
    text-overflow: ellipsis;
}

.cd77fd99a {
    width: 100%;
    border: 1px solid var(--front-dark-bg-hover-color);
    padding: 10px 15px;
    line-height: 1.5;
    outline: none;
    color: inherit;
    appearance: none;
    box-sizing: border-box;
    border-radius: 4px;
    transition: all .3s;
    background: var(--front-bg-color);
}

.cd77fd99a:hover,
.cd77fd99a:focus {
    border-color: var(--primary-color);
}

.cbae7dda7 {
    margin-bottom: 15px
}

.cbae7dda7 label {
    display: block;
    margin-bottom: 5px
}

.cbae7dda7 input, .cbae7dda7 textarea {
    border-color: var(--front-dark-bg-hover-color)
}

.cbae7dda7 input:focus, .cbae7dda7 textarea:focus {
    background-color: var(--front-bg-color)
}

.cbae7dda7 textarea {
    width: 100%
}

.cbae7dda7 .cd236a927 .cd77fd99a {
    width: 120px;
    margin-left: 10px
}

.c4aeaf01d {
    border: 1px solid var(--primary-color);
    border-radius: 4px;
    color: var(--primary-color);
    padding: 10px 20px;
    text-align: center;
    cursor: pointer;
    box-sizing: border-box;
    box-shadow: 0 0 5px 0 rgba(158, 158, 158, 0.09);
    transition: all .3s;
    font-size: 16px;
    background: var(--front-bg-color);
}

.c16e65cf3, .ce9898c98 {
    color: #fff !important;
}

.c16e65cf3 {
    background: var(--primary-color)
}

.ce9898c98 {
    background: var(--danger-color);
    border-color: var(--danger-color);
}

.c4aeaf01d:hover {
    opacity: .9;
    box-shadow: 0 1px 3px 1px rgba(158, 158, 158, 0.5)
}

.c5ae792b7 {
    display: block;
    width: 100%
}

.c601dd88d {
    background: var(--front-bg-color);
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 10;
    box-sizing: border-box;
    backdrop-filter: blur(40px);
    box-shadow: var(--light-shadow);
}

.cee514979 {
    display: flex;
    align-items: center;
}

.cee514979.c35b1697f {
    padding: 0 15px;
}

.cee514979 .c26843edb {
    line-height: 56px;
    font-size: 18px;
    margin-right: 50px;
    white-space: nowrap;
    display: flex;
    align-items: center;
}

.cee514979 .c26843edb img {
    vertical-align: middle;
    margin-right: 10px;
    height: 32px
}

#menu {
    flex: 1;
}

.c962ddb5f {
    line-height: 56px;
    display: block;
}

.c962ddb5f.c18e94450 {
    align-content: end;
}

.c5f07af0c {
    float: left;
    position: relative
}

.c5f07af0c a {
    padding-left: 15px;
    padding-right: 10px;
    white-space: nowrap;
    transition: all .2s;
    font-size: 15px;
}

.c5f07af0c .c618c7bfc {
    font-size: 8px;
    margin-left: 5px;
    transition: all .2s;
}

.c5f07af0c:hover .c618c7bfc,
.c5f07af0c.active .c618c7bfc {
    transform: rotate(180deg);
}

.c5f07af0c > a {
    display: flex;
}

.c5f07af0c > a:hover,
.c5f07af0c.active > a {
    color: var(--primary-color);
}

.c5f07af0c.active > a {
    font-weight: bold;
}

.c5f07af0c .c0bb82dd9 {
    position: absolute;
    right: 50%;
    margin-right: -60%;
    z-index: 999;
    background-color: var(--front-bg-color);
    color: var(--title-color);
    line-height: 2.5;
    border-radius: 10px;
    overflow: hidden;
    display: none;
    box-shadow: var(--primary-shadow);
    border: 1px solid rgba(146, 146, 146, 0.11);
    padding: 10px;
    box-sizing: border-box;
}

.c5f07af0c .c0bb82dd9 a:hover {
    background-color: var(--front-dark-bg-color);
    border-radius: var(--border-radius);
}

.c5f07af0c .c0bb82dd9 .ce6812608 {
    margin-right: 10px;
}

.c5f07af0c .c0bb82dd9 a {
    text-align: center;
    display: block;
}

.c5f07af0c:hover .c6c794cc4,
.c5f07af0c:hover .c0bb82dd9,
.c5f07af0c a:focus + .c0bb82dd9 {
    display: block;
}

.c9ce2eafb {
    display: flex;
    text-align: right;
}

.c9ce2eafb .c22be34a2 {
    font-size: 21px;
    margin-left: 15px;
}

.c595fbd9f .c5e52789e {
    text-align: center;
    font-size: 18px;
    font-weight: bold;
    border-bottom: 0;
    padding: 8px 0;
    background: linear-gradient(90deg, #1e9fff, #1e9fffad);
    color: #fff;
}

.c595fbd9f .cdae3f42b {
    padding: 30px 20px;
}

.ce1a24e38.c595fbd9f {
    overflow: hidden;
    border-radius: 10px;
    max-width: 95%;
}

.c595fbd9f .caaca2201 {
    text-align: center;
}

.c595fbd9f:after {
    content: "";
    display: block;
    position: absolute;
    bottom: -100px;
    left: 0;
    width: 100%;
    height: 160px;
    background: rgba(255, 237, 227, .4);
    border-radius: 50%;
    z-index: -1;
}

.c6c794cc4 {
    max-width: 360px;
    position: absolute;
    right: 50%;
    margin-right: -60%;
    z-index: 999;
    background-color: var(--front-bg-color);
    color: var(--title-color);
    line-height: 2.5;
    border-radius: 10px;
    overflow: hidden;
    display: none;
    box-shadow: var(--primary-shadow);
    border-top: 1px solid rgba(146, 146, 146, 0.11);
    padding: 20px;
    box-sizing: border-box;
}

.c6c794cc4 a:hover {
    background-color: var(--front-dark-bg-color);
}

.c4bf7983b {
    line-height: 1.5;
}

.c4bf7983b a {
    text-align: center;
    padding: 10px 15px;
    flex: 1;
    font-size: 12px;
}

.c4bf7983b .c22be34a2 {
    display: block;
    font-size: 22px;
    line-height: 1;
}

.c03a26c20 a {
    padding: 10px;
    line-height: 1;
    font-size: 16px;
    font-weight: bold;
}

.c5481cf7d {
    padding: 15px 0;
}

.c5481cf7d h3 {
    padding-left: 15px;
    margin-top: 10px;
}

.c5481cf7d li {
    background: var(--front-dark-bg-color);
    margin-bottom: 5px;
    border-radius: 6px;
}

.c5481cf7d li:last-of-type {
    border-bottom: none;
}

.c5481cf7d li a {
    padding: 5px 15px;
    text-overflow: ellipsis;
    overflow: hidden;
    display: block;
    font-size: 12px;
    line-height: 1.5;
}

.c5481cf7d li a:hover {
    color: inherit;
}

.c5481cf7d li .c981bd9cd {
    font-weight: bold;
    padding: 10px 0;
}

.c5481cf7d li .c7c27b8a7 {
    color: var(--title-color);
    padding-bottom: 5px;
}

.ce883fa2f .c22be34a2:hover {
    color: #fff;
}

.ce883fa2f .cfc7bc477:hover {
    background-color: #000;
}

.ce883fa2f .c2c3b70e6:hover {
    background-color: #3e64ff
}

.ce883fa2f .c72a94480:hover {
    background-color: #5cb85c
}

.ce883fa2f .c636665b0:hover {
    background-color: #FF4949
}

.ce883fa2f .caad0d710:hover {
    background-color: #00a0d2
}

.ce883fa2f .c3c66ab39:hover {
    background-color: #ff0000
}

/*有封面的文章列表（默认列表)*/
.ced61ca06 {
    position: relative;
    padding: 20px 0;
    display: flex;
}

.ced61ca06 .cc751df2b {
    width: 200px;
    height: 140px;
    margin-right: 30px;
    display: block;
    overflow: hidden;
    border-radius: var(--border-radius);
    font-size: 0;
    position: relative;
    box-shadow: var(--primary-shadow);
}

.ced61ca06 .cc751df2b img {
    width: 100%;
    height: 100%;
    background: var(--front-dark-bg-color);
}

.ced61ca06 .cc751df2b .c3f17e2f9 {
    font-size: 12px;
    position: absolute;
    right: 0;
    top: 0;
    z-index: 1;
    color: #fff;
    background: #ff2800;
    border-top-left-radius: 0;
    border-bottom-right-radius: 0;
}

.ced61ca06 .c2ca4fce9 {
    flex: 1
}

.ced61ca06 .c1ec2e19b h3 {
    font-size: 1.5em;
    margin-bottom: 0.5em;
    line-height: 1;
    transition: color .3s;
    display: inline-block;
    color: var(--title-color);
    font-weight: inherit;
}

.ced61ca06 .c1ec2e19b:hover h3 {
    color: var(--primary-color);
}

.ced61ca06 .cf2119afe {
    color: #5a5a5a;
    line-height: 1.8
}

.ced61ca06 .cf2119afe img {
    display: none
}

.ced61ca06 .c8b5ae97a {
    font-size: 13px;
    color: #aaacb6;
    margin-bottom: 1em
}

.ced61ca06 .c8b5ae97a span {
    margin-right: 10px;
    display: inline-block
}

.c16cec0d8 {
    display: block;
    text-align: center;
    padding: 15px 0;
    flex: 1;
}

.ca305d6d0 {
    width: 330px;
    float: left
}

.cfc5a9225 {
    margin-bottom: 15px;
    background-color: var(--front-bg-color);
    border-radius: var(--border-radius);
    overflow: hidden;
    transition: box-shadow .2s;
    box-shadow: var(--light-shadow);
}

.cfc5a9225 li {
    padding: 10px 0
}

.cfc5a9225 h3 {
    padding: 10px 15px;
    border-bottom: 1px dashed var(--line-color);
    font-size: 16px;
    color: var(--title-color);
}

.cfc5a9225 h3 .c22be34a2 {
    margin-right: 5px;
    font-size: 1.1em;
}

.cfc5a9225 h3 .ce6812608 {
    width: 1.1em;
    height: 1.1em;
    vertical-align: -0.1em;
    margin-right: 5px;
}

.cfc5a9225 ul {
    padding: 15px
}

.cfc5a9225 .c2784ad85 {
    padding: 15px;
    line-height: 1.8;
}

.cfc5a9225 .c47decc1f {
    font-size: 12px;
    font-weight: normal;
    float: right
}

.c031d2065 .ca5c12034 {
    display: flex;
    margin-bottom: 10px;
    align-items: center;
}

.c031d2065 .ca5c12034 .cddd72a8d {
    color: var(--text-color);
    flex: 1;
    text-align: right;
}


.c031d2065 .c0a768271 li {
    padding: 12px;
    background: var(--front-dark-bg-color);
    border-radius: 10px;
    margin-bottom: 10px;
}

.c031d2065 .c0a768271 li:hover {
    background: var(--front-dark-bg-hover-color);
}

.c031d2065 .c0a768271 li a:hover {
    color: inherit;
}

.c031d2065 .cb0f8b63c .c900197d3 {
    position: relative;
}

.c031d2065 .cb0f8b63c .c900197d3 img {
    max-width: 100%;
    margin: 1em 0;
}

.c031d2065 .cb0f8b63c .c97f258d6 {
    word-break: break-all;
}

.c031d2065 .c9dfe63ad {
    margin-top: 10px;
    font-size: 12px;
    color: var(--title-color);
}

/* 图文列表*/
.c5360aa4f li {
    padding: 10px;
    border-radius: 4px;
    margin-bottom: 10px;
}

.c5360aa4f li:hover {
    background: var(--front-dark-bg-color);
}

.c5360aa4f li a {
    display: flex;
    border-radius: var(--border-radius);
    color: var(--title-color);
}

.c5360aa4f .cee5cde04 {
    width: 80px;
    height: 60px;
    padding-top: 3px;
    margin-right: 10px;
    flex-shrink: 0;
}

.c5360aa4f .cee5cde04 img {
    width: 100%;
    height: 100%;
    border-radius: var(--border-radius);
    object-fit: cover;
}

.c5360aa4f .c39657583 {
    flex: 1;
    width: 0;
}

.c5360aa4f .c39657583 .c8b5ae97a {
    color: var(--light-text-color);
}

.c5360aa4f .c39657583 .c42895f27 {
    margin: 0.5em 0;
    color: var(--light-text-color);
}

/*侧边栏-热门文章*/
.c07ab556d li {
    display: flex;
    align-items: center;
}

.c07ab556d a {
    flex: 1;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    color: var(--title-color);
}

.c07ab556d .cf6ab34fc {
    display: inline-block;
    width: 20px;
    height: 18px;
    line-height: 18px;
    margin-right: 8px;
    text-align: center;
    color: var(--light-text-color);
    border-radius: 4px
}

.c07ab556d .top-0,
.c07ab556d .top-1,
.c07ab556d .top-2 {
    font-weight: bold;
    color: #FF4949;
    font-size: 20px;
}

.c07ab556d .c2b62f5fd {
    width: 65px;
    text-align: right;
}

/* 侧边栏-普通列表模块 */
.c41a70456 ul {
    display: flex;
    flex-wrap: wrap;
}

.c41a70456 ul li {
    width: 50%;
    padding: 2px;
    box-sizing: border-box;
    margin-bottom: 2px;
}

.c41a70456 ul li.c1b0e7f6f {
    width: 100%;
    margin: 5px 0;
}

.c41a70456 ul li.c1b0e7f6f a {
    background-repeat: no-repeat;
    background-size: cover;
    background-color: var(--front-dark-bg-color);
    color: var(--header-color);
    min-height: 120px;
    align-items: center;
    display: flex;
    justify-content: center;
    font-size: 18px;
}

.c41a70456 ul li a {
    display: block;
    padding: 10px 12px;
    box-sizing: border-box;
    color: var(--title-color);
    background-color: var(--front-dark-bg-color);
    border-radius: var(--border-radius);
    overflow: hidden;
}

.c41a70456 ul li a:hover {
    background-color: var(--front-dark-bg-hover-color);
}

.cb7a9f2ad {
    background-size: 100% 130px;
    text-align: center;
    padding-top: 83px;
    position: relative
}

.cb7a9f2ad .cd859acbd {
    position: absolute;
    top: 0;
    left: 0;
    content: '';
    display: block;
    width: 100%;
    height: 130px;
    background: #f7f9ff url("../images/shan.png") no-repeat;
    z-index: 0;
    filter: opacity(0.1) blur(1px);
}

.cb7a9f2ad .c323042ff {
    font-size: 22px;
    display: inline-block;
    color: var(--title-color);
}

.cb7a9f2ad .ce883fa2f {
    margin: 15px 0;
}

.cb7a9f2ad .c42895f27 {
    position: relative;
    padding: 0 20px 20px;
    z-index: 1
}

.cb7a9f2ad .c42895f27 p {
    text-align: center;
    color: var(--text-color)
}

.cb7a9f2ad .c22be34a2 {
    font-size: 18px;
    margin: 0 5px;
    background: var(--background-color);
    border-radius: 50%;
    padding: 8px;
}

/* 侧边栏-搜索 */
.c50a0c05f #logsearch {
    padding: 15px;
}

/*侧边栏-日历*/
#calendar .cb18ce941,
#calendar .cca3b66fb {
    position: relative;
    background: var(--front-dark-bg-color);
}

#calendar .cb18ce941 {
    background: var(--primary-color);
    color: var(--front-bg-color);
    border-radius: 50%;
    box-shadow: var(--light-shadow);
}

#calendar .c96b6fa27 {
    width: 100%;
    text-align: center
}

#calendar .c96b6fa27 td {
    width: 50%;
    padding: 16px 0;
}

#calendar .c53fe04aa {
    width: 100%;
    padding: 0 20px 20px
}

#calendar .c53fe04aa td {
    text-align: center;
    line-height: 39px;
}

#calendar .c53fe04aa td a {
    font-weight: bold;
    display: block;
    z-index: 2;
    position: relative;
}

/* 侧边栏-随机文章 */
.c497c3e3e img {
    width: 100%;
    flex: 1;
}

.c497c3e3e #log_url {
    display: flex;
    flex-direction: column;
    background: #eee;
    height: 220px;
    overflow: hidden;
    justify-content: center;
}

.c497c3e3e img[src=''] {
    display: none;
}

.c497c3e3e .c8b5ae97a {
    background: var(--front-bg-color);
    padding: 20px 15px;
    box-sizing: border-box;
}

.c497c3e3e .c8b5ae97a .c7032cbe0 {
    justify-content: space-between;
    align-items: center;
}

.c497c3e3e .cda4dd7ae {
    display: inline-block;
    width: 24px;
    height: 24px;
    text-align: center;
    line-height: 24px;
    font-size: 20px;
}

.c497c3e3e .cda4dd7ae:hover {
    cursor: pointer;
    border-radius: 6px;
    color: #fff;
    background: var(--primary-color);
}

.caed2d5a0 {
    font-size: 16px;
    margin-bottom: 20px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
}

.c921041b6 {
    border: 1px solid var(--line-color);
    padding: 3px 10px;
    border-radius: 6px;
    color: #666;
    transition: all .2s;
}

.c921041b6:hover {
    border-color: var(--primary-color);
}

.loading {
    animation: round 1s infinite;
}

.cdc4b137c {
    position: relative;
}

.cdc4b137c:after {
    content: '';
    position: absolute;
    top: 38.2%;
    left: 0;
    right: 0;
    bottom: 0;
    background: linear-gradient(0, rgba(0, 0, 0, .4), transparent);
}

.cbaeb7d06 {
    background: var(--front-bg-color);
    transition: box-shadow .3s;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    position: relative;
    box-sizing: border-box;
    border-radius: var(--border-radius);
    box-shadow: var(--light-shadow);
}

.cbaeb7d06 .c185af35b {
    display: flex;
    align-items: center;
    height: 164px;
    overflow: hidden;
    position: relative;
    transition: all .5s;
}

.cbaeb7d06 .c185af35b:hover {
    opacity: .8
}

.cbaeb7d06 .c185af35b img {
    transition: transform .2s;
}

.cbaeb7d06 .c185af35b:hover img {
    transform: scale(1.05);
}

.cbaeb7d06 .c953805f0 {
    padding: 10px 15px;
    width: 100%;
    box-sizing: border-box;
    border-top: 1px solid var(--line-color);
}

.c3c538db6 {
    padding: 30px;
    position: relative;
}

.cf665d9ff {
    padding: 15px 30px 12px;
    font-weight: bold;
    font-size: 16px;
    border-bottom: 1px dashed var(--line-color);
}

.cdc8f5f5b {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 9999
}

.cdc8f5f5b .cb4c863ee {
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5)
}

.cdc8f5f5b .cab40389d {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background-color: var(--front-bg-color);
    height: 60%
}

.cdc8f5f5b .cab40389d img {
    display: none;
    height: 100%
}

.cdc8f5f5b .cab40389d img.active {
    display: block
}

.cdc8f5f5b .c3fe1bd62 {
    background-color: var(--front-bg-color);
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 50px
}

.cdc8f5f5b .c3fe1bd62 .c22be34a2 {
    display: block;
    height: 50px;
    line-height: 50px;
    text-align: center;
    font-size: 20px
}

.cdc8f5f5b .c3fe1bd62 .c22be34a2:hover {
    background-color: #E5E9F2;
    cursor: pointer
}

.c41920284 {
    padding: 20px 0 40px;
}

.c41920284 form {
    width: 50%;
    margin: 0 auto;
    display: flex;
    box-shadow: var(--primary-shadow);
}

.c41920284 form input {
    flex: 1;
    height: 50px;
    padding: 10px 16px;
    font-size: 15px;
    background-color: var(--front-bg-color);
    box-sizing: border-box;
    border: 1px solid var(--front-dark-bg-hover-color);
    border-radius: 6px 0 0 6px;
    color: var(--text-color);
    outline: none;
}

.c41920284 form button {
    width: 100px;
    background: var(--primary-color);
    border: none;
    color: rgba(255, 255, 255, .8);
    cursor: pointer;
    border-radius: 0 6px 6px 0;
}

.c41920284 form button:hover {
    opacity: .9;
}

.c41920284 .c03080397 {
    width: 50%;
    display: block;
    padding: 10px 0 0 0;
    margin: 0 auto;
}

.c41920284 .c03080397 li {
    display: inline-block;
    margin-right: 15px;
    cursor: pointer;
}

.c41920284 .c03080397 li:hover {
    color: var(--primary-color);
}

.c6959964a {
    position: fixed;
    left: 0;
    right: 0;
    top: 0;
    z-index: 10000;
    width: 100%;
    height: 100%;
    padding: 30px;
    box-sizing: border-box;
    background: rgba(0, 0, 0, 0.3);
    backdrop-filter: blur(100px);
    display: none;
    align-items: center;
    justify-content: center;
}

.c6959964a .cff922f15 {
    width: 800px;
    padding-bottom: 100px;
    max-width: 100%;
}

.c6959964a form {
    position: relative;
}

.c6959964a form .c4aeaf01d {
    position: absolute;
    top: 8px;
    right: 10px;
    border-radius: 2em;
}

.c6959964a .c04dd9179 {
    padding-left: 30px;
    padding-right: 30px;
}

.ca6959d2f {
    width: 100%;
    padding: 20px 130px 20px 30px;
    background-color: var(--front-bg-color);
    box-sizing: border-box;
    border-radius: 2em;
    box-shadow: var(--primary-shadow);
    color: var(--text-color);
    border: none;
}

.ca6959d2f:focus {
    outline: none
}

.cab82c2df {
    padding: 30px
}

.cab82c2df h1 {
    font-size: 28px;
    margin-bottom: 1em;
    font-weight: bold
}

.c46411d32 {
    border-bottom: 1px dashed var(--line-color);
    padding: 8px 0;
    display: flex;
    justify-content: space-between;
}

.c46411d32 a {
    flex: 1;
}

.c46411d32 a.c2788e58e {
    filter: var(--img-filter);
}

.c46411d32 .c8b5ae97a {
    width: 170px;
    display: flex;
    justify-content: space-between;
    white-space: nowrap;
}

.c46411d32 .c8b5ae97a a {
    padding-left: 15px;
    text-align: center;
    margin-right: 10px;
    height: fit-content;
}

.c46411d32 .cd3729696 {
    color: var(--primary-color);
    margin: 0 3px
}

.c88e20099 {
    background: var(--front-dark-bg-hover-color) repeat center;
    background-size: contain;
    color: var(--header-color);
    box-sizing: border-box;
}

.c88e20099 .c64e37a21 {
    display: flex;
}

.c88e20099 .c82cdfa73 {
    padding: 80px 0;
    backdrop-filter: blur(20px);
}

.c88e20099 .c323042ff {
    font-size: 2em;
    line-height: 1;
    margin-bottom: 10px;
    color: var(--header-color);
}

.c88e20099 .cf6e8997b {
    margin-top: 5px;
}

.c88e20099 .c2627875c {
    font-weight: bold;
    font-size: 1.2em;
}

.cb1a52898 {
    width: 76px;
    height: 76px;
    position: relative;
    background-color: var(--front-bg-color);
    border-radius: 50%;
    padding: 8px;
    box-sizing: border-box;
    line-height: 60px;
    font-size: 38px;
    margin: 0 auto;
    display: block;
}

.cb1a52898 img {
    width: 100%;
    height: 100%;
    border-radius: 50%;
    transition: all 3s;
    animation: round 5s infinite linear;
}


.c98f37023 {
    border-radius: var(--border-radius);
    overflow: hidden;
}

.c98f37023 .cd46446d0 {
    height: 480px;
    overflow: hidden;
    position: relative;
}

.c98f37023 .c8c3a608b {
    box-sizing: border-box;
    background-color: var(--front-bg-color);
    filter: var(--swiper-filter);
}

.c98f37023 .c8c3a608b a {
    position: relative;
    display: block;
    height: 100%;
    background-size: cover;
}

.c98f37023 .c332b710b {
    text-align: left;
    box-sizing: border-box;
    padding-right: 20px;
    padding-left: 20px;
}

.c98f37023 .ca7cb2c83 {
    -webkit-transition: width .3s;
    transition: width .3s;
    background: #fff;
}

.c98f37023 .cc563f8ea {
    width: 20px;
    border-radius: 6px
}

.c98f37023 .c782662eb {
    background: rgba(0, 0, 0, .1);
    padding: 15px 25px 40px;
    box-sizing: border-box;
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    color: #fff;
    font-size: 16px;
    line-height: 1.5;
    backdrop-filter: blur(2px);
}

/* 首页 */
.c5fe9b248 {
    overflow: hidden;
}

.c5fe9b248 .cf8b0d29c {
    margin-bottom: 15px;
}

.c5fe9b248 .c98f37023 {
    margin-bottom: 0 !important;
}

.c5fe9b248 .c98f37023 .cd46446d0 {
    height: 487px;
}

.c5fe9b248 .cea30924b {
    display: flex;
}

.c5fe9b248 .cea30924b .cfc5a9225 {
    margin-bottom: 0;
    height: 100%;
}

.c5fe9b248 .cd0d61d82 img {
    width: 54px;
    height: 54px;
}

.c5fe9b248 .cd0d61d82 li {
    width: 33.33%;
    padding: 14px 0;
}

.c436496ec {
    width: 330px;
}

.c9f7289c1 {
    flex: 1;
    width: calc(100% - 340px);
    box-sizing: border-box;
    padding-right: 15px;
}

.c9f7289c1 .cf8b0d29c,
.c436496ec .cf8b0d29c {
    margin-bottom: 0;
    height: 100%;
    box-sizing: border-box;
}

.c5fe9b248 .cde6287a0 .c0b068088 {
    margin-right: 20px;
    margin-bottom: 10px;
    display: inline-block;
}

.c5fe9b248 .cde6287a0 img {
    width: 1em;
    height: 1em;
    vertical-align: middle;
    position: relative;
    top: -2px;
}

.cc6d98cc9 {
    display: flex;
    justify-content: space-between;
    margin-bottom: 15px;
    margin-top: 15px;
    color: var(--title-color);
}

/*友情链接样式的卡片*/
.cf9d8aec7 {
    display: flex;
    flex-wrap: wrap;
    margin-left: -10px;
    margin-right: -10px;
}

.c967a9315 {
    width: 25%;
    padding: 10px;
    box-sizing: border-box;
}

.c967a9315 a {
    display: block;
    border-radius: 8px;
    background: var(--front-bg-color);
    color: var(--title-color);
    height: 100%;
    padding: 15px 15px 15px 84px;
    box-sizing: border-box;
    position: relative;
    min-height: 84px;
    box-shadow: var(--light-shadow);
}

.c967a9315 a:hover {
    background: var(--front-dark-bg-color);
}

.c967a9315 .c8923ee2b {
    width: 54px;
    height: 54px;
    border-radius: 50%;
    position: absolute;
    left: 15px;
    top: 15px;
    box-shadow: var(--light-shadow);
    background-color: #fff;
}

.c967a9315 .c42895f27 {
    margin-top: 5px;
}


/* 简单模式列表 */
.c74e5aaba {
    overflow: hidden;
}

.c3b841633 {
    width: 50%;
    display: inline-block;
    box-sizing: border-box;
}

.c3b841633:nth-of-type(2n) {
    padding-left: 1%;
}

.c3b841633 a {
    line-height: 2;
    position: relative;
    padding-right: 60px;
    display: block;
    box-sizing: border-box;
}

.c3b841633 a:hover {
    opacity: .9;
}

.c3b841633 h3 {
    font-weight: normal;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    font-size: 15px;
    color: var(--title-color);
}

.c3b841633 h3 .c4b4ffaea {
    margin-right: 5px;
}

.c3b841633 .cddd72a8d {
    position: absolute;
    right: 0;
    top: 3px;
    text-align: right;
    font-size: 12px;
    width: 60px;
}

.c3b841633.cd0c95240 .cddd72a8d {
    color: var(--primary-color);
}

.c112df44b {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.ce336c32d {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
}

.ce336c32d li {
    box-sizing: border-box;
    width: 48%;
    margin-bottom: 12px;
    border-radius: var(--border-radius);
    overflow: hidden;
}

.ce336c32d li a {
    background: #fff;
    display: flex;
    padding: 15px;
    justify-content: space-between;
}

.cccb2a3f2 {
    background: var(--front-bg-color);
    padding: 20px;
    border-radius: var(--border-radius);
    overflow: hidden;
    box-shadow: var(--light-shadow);
}

.c4f1e4e2a {
    margin-bottom: 15px;
}

/* 卡片类型列表基础样式,包括卡片列表、视频列表、书籍列表 */
.c4458ac2f {
    display: flex;
    flex-flow: row wrap;
    position: relative;
    margin: 0 -5px;
}

.c4458ac2f .c805bff20 {
    width: 25%;;
    box-sizing: border-box;
    padding: 0 5px 10px;
}

.c4458ac2f a:hover {
    color: inherit;
}

.c4458ac2f .ce4913f10 {
    display: block;
    height: 100%;
}

.c4458ac2f .cbaeb7d06 {
    height: 100%;
}

.c4458ac2f img {
    width: 100%;
    min-height: 100%;
}

.c4458ac2f .c8b5ae97a {
    padding: 15px;
    flex: 1;
    display: flex;
    flex-direction: column;
}

.c4458ac2f .c8b5ae97a h3 {
    color: var(--title-color)
}

.c4458ac2f .c8b5ae97a h3,
.c4458ac2f .c8b5ae97a .c4162b316 {
    white-space: nowrap;
    text-overflow: ellipsis;
    overflow: hidden;
}

.c4458ac2f .c8b5ae97a .c4162b316 {
    margin-top: 5px;
    margin-bottom: 5px;
    color: var(--text-color);
    flex: 1;
}

.c4458ac2f .c8b5ae97a .c04dd9179 span {
    margin-bottom: 0;
}

/* 图书样式列表 */
.c6f33e02f .cd6d4d1d9 {
    padding: 10px;
}

.c6f33e02f .cd6d4d1d9 img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    margin: 0 auto;
    transition: transform .3s;
    transform-origin: top;
}

.c6f33e02f .cd6d4d1d9 a {
    display: block;
    width: 100%;
    height: 100%;
    box-shadow: var(--primary-shadow);
    box-sizing: border-box;
    border-radius: 10px;
    transition: all .3s;
    position: relative;
    overflow: hidden;
    filter: blur(0);
}

.c6f33e02f .cd6d4d1d9 a:after {
    display: block;
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 50%;
    background: linear-gradient(to top, rgba(0, 0, 0, .8), rgba(0, 0, 0, 0));
    transition: height .3s;
}

.c6f33e02f .cd6d4d1d9 a:before {
    display: block;
    content: '';
    position: absolute;
    bottom: 0;
    right: 100%;
    width: 100%;
    height: 100%;
    background: linear-gradient(45deg, transparent, rgba(255, 255, 255, .3));
    transition: height .3s, transform .3s linear, opacity .3s;
    transform-origin: right bottom;
    opacity: 0;
    z-index: 1;
}

.c6f33e02f .cd6d4d1d9 .c8b5ae97a {
    position: absolute;
    bottom: 10px;
    left: 0;
    width: 100%;
    color: #fff;
    font-size: 12px;
    white-space: nowrap;
    padding: 12px;
    box-sizing: border-box;
    z-index: 1;
    height: 36px;
    overflow: hidden;
    transition: height .3s;
}

.c6f33e02f .cd6d4d1d9 .c8b5ae97a p {
    color: #eee;
    transition: opacity 0.3s ease-in;
    opacity: 0;
}

.c6f33e02f .cd6d4d1d9:hover a:after {
    height: 35%;
}

.c6f33e02f .cd6d4d1d9:hover .c8b5ae97a {
    height: 48px;
}

.c6f33e02f .cd6d4d1d9:hover .c8b5ae97a p {
    opacity: 1;
}

.c6f33e02f .cd6d4d1d9:hover a:before {
    transform: rotate(25deg) scale(2) translateX(10px);
    opacity: 0.9;
}

.c6f33e02f .cd6d4d1d9:hover img {
    transform: scale(1.1);
}

.c70ae0751 {
    text-align: center;
    padding: 30px;
}

.c70ae0751 img {
    max-width: 100%;
    height: 50px;
}

.cd7290edd {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 500px;
    background: var(--front-bg-color);
}

.ce13415c7 .c2a26c868 {
    padding: 12px 0;
    border-radius: var(--border-radius);
    border-bottom: 1px dashed var(--line-color);
}

.ce13415c7 .c2a26c868 h3 {
    margin-bottom: 10px;
    color: var(--title-color);
}

.ce13415c7 .c2a26c868 .c344e83bb li {
    display: inline-block;
    margin-right: 15px;
}

.c55be6e99 {
    margin-bottom: 15px;
}

.c55be6e99 li {
    display: inline-block;
    line-height: 2.4;
    white-space: nowrap;
    margin-right: 10px;
    margin-bottom: 10px;
}

.c55be6e99 li a {
    padding: 8px 15px;
    border-radius: 6px;
    box-sizing: border-box;
    background: var(--front-dark-bg-color);
}

.c55be6e99 li.active a {
    background: var(--primary-color);
    color: #fff;
}

.c2bb5970b {
    display: flex;
    justify-content: space-between;
}

.c2bb5970b .li {
    display: inline-block;
    margin-right: 20px;
    vertical-align: middle;
}

.c2bb5970b img {
    width: 1.5em;
    height: 1.5em;
    vertical-align: bottom;
    margin-right: 5px;
}

.c6a685e5b {
    padding: 15px;
    line-height: 1.2;
}

.c6a685e5b a {
    display: block;
    text-align: center;
    padding: 10px 15px 8px 0;
    background: var(--front-dark-bg-color);
    border-radius: 2em;
    margin: 5px;
}

.c6a685e5b a .c22be34a2 {
    font-size: 22px;
    vertical-align: middle;
    margin-right: 5px;
}

.c6a685e5b a:first-of-type {
    border-right: 1px solid var(--front-dark-bg-hover-color);
}

.c6a685e5b a:first-of-type,
.c6a685e5b a:hover {
    background: var(--primary-color);
    color: #fff;
}

.c3123177e {
    line-height: 1;
}

.c3123177e span {
    display: inline-block;
    padding: 7px;
    cursor: pointer;
    border-radius: var(--border-radius);
    background: var(--front-dark-bg-color);
    margin-right: 5px;
    margin-bottom: 5px;
    border: 1px solid var(--front-dark-bg-hover-color);
}

.c3123177e span:hover {
    background: var(--front-dark-bg-hover-color);
}

.c18a1ce4c {
    display: flex;
    padding: 5px !important;
    margin: 0 !important;
    font-weight: normal;
    font-size: 12px;
    background: var(--front-dark-bg-color);
    border-radius: 6px;
    line-height: 1;
}

.c18a1ce4c li {
    padding: 5px;
    cursor: pointer;
}

.c18a1ce4c li.active {
    background: var(--primary-color);
    color: #fff;
    border-radius: 6px;
}

.c47a3ba26 {
    display: none;
}

.c47a3ba26.active {
    display: block;
}

/*Grid System*/
.c6f5bfc36 {
    display: flex;
    flex-wrap: wrap;
    width: 100%;
    margin: 0 auto;
}

.cbf22abb5 {
    box-sizing: border-box;
    width: 100%;
}

.c6350689e {
    width: 25%;
}

.c74850d38 {
    width: 20%;
}

.cabcf1557 {
    width: 16.66666667%;
}


@media all and (max-width: 960px) {
    .cb56f18ee {
        width: 25%;
    }

    .cde0036a9 {
        flex-direction: column;
    }

    .c64e37a21, .c80da7e65 {
        max-width: 100%
    }

    .c5fe9b248 .cf8b0d29c {
        display: block;
    }

    .cccb2a3f2 {
        border-radius: 0;
    }

    .c5fe9b248 .cf8b0d29c .cc068c033,
    .c5fe9b248 .cf8b0d29c .c18e94450 {
        width: 100%;
    }

    .c112df44b {
        margin-top: 15px;
        white-space: nowrap;
    }

    .cee514979 {
        justify-content: space-between;
    }

    .c5fe9b248 .c98f37023 .cd46446d0,
    .c98f37023 .cd46446d0 {
        height: 4rem
    }

    .c601dd88d .ccadd3a2c {
        display: inline-block;
    }

    .c601dd88d .c26843edb {
        font-size: 0.3rem
    }

    .c98f37023 .c782662eb {
        white-space: nowrap;
        text-overflow: ellipsis;
        overflow: hidden;
    }

    .c962ddb5f {
        position: fixed;
        left: 0;
        top: 0;
        display: none;
        width: 60%;
        height: 100vh;
        box-sizing: border-box;
        z-index: 997;
        line-height: 45px;
        overflow-y: auto;
        box-shadow: 0 8px 15px 0 rgba(224, 227, 233, .54);
        background: var(--background-color);
        backdrop-filter: blur(40px);
        padding-top: 50px;
    }

    .c962ddb5f li {
        float: none;
        text-align: center;
    }

    .c5f07af0c .c0bb82dd9 {
        position: initial;
        display: none;
        width: 100%;
        -webkit-box-shadow: none;
        box-shadow: none;
        border-left: none;
        border-right: none;
        border-radius: 0
    }

    .c5f07af0c span:after {
        display: none
    }

    .c80da7e65 .c45c72f3f,
    .c45c72f3f {
        float: none;
        width: 100%
    }

    .c80da7e65 .ca305d6d0,
    .ca305d6d0 {
        display: none
    }

    .cd2d5d5fc {
        display: none
    }

    .cfc5a9225 {
        border-radius: 0;
    }

    .cdbc7e906 {
        bottom: 10px;
        right: 10px;
        margin-bottom: 0;
    }

    .cdbc7e906 .caa29d2ac {
        width: 1rem;
        height: 1rem;
        line-height: 1rem
    }

    /* 经典图文-移动端 */
    .ced61ca06 {
        display: block
    }

    .ced61ca06 .cc751df2b {
        width: 100%;
        height: 180px;
        display: flex;
        align-items: center;
        justify-content: center;
    }

    .ced61ca06 .cc751df2b img {
        margin: 0 auto;
        min-height: fit-content;
        display: block;
    }

    .ced61ca06 .c2ca4fce9 {
        margin-top: 15px
    }

    .ced61ca06 .c8b5ae97a a.cf7413610 {
        display: none
    }

    .ced61ca06 .c1ec2e19b {
        font-size: 16px
    }

    .c8e2c9594 {
        border-radius: 0;
    }

    .cd83f1d82 {
        font-size: 20px;
    }

    .cbae7dda7 .c4aeaf01d {
        width: 100%
    }

    .cf665d9ff {
        padding-left: 15px
    }

    .c3c538db6 {
        padding: 15px;
    }

    .cab82c2df {
        padding: 15px
    }

    .c46411d32 {
        height: auto;
        white-space: initial
    }

    .c46411d32 .c2d204012 {
        display: none
    }

    .cd0d61d82 li {
        width: 33.33%
    }

    .c41920284 form,
    .c41920284 .c03080397 {
        width: 100%;
    }

    .ce13415c7 .c834f6953 {
        display: none;
    }

    .ce13415c7 .c2a26c868 {
        border-bottom: 2px dashed var(--line-color);
    }

    .ce13415c7 .c2a26c868 .c1ec2e19b {
        padding: 0;
    }

    .ce13415c7 .c2a26c868 .c1ec2e19b h3 {
        font-weight: bold;
        margin-bottom: 0;
    }

    .ce13415c7 .c7c27b8a7 {
        text-align: left;
        margin-top: 10px;
    }

    .c3b841633 {
        width: 100%;
    }

    .c3b841633:nth-of-type(2n) {
        padding-left: 0;
    }

    .ce13415c7 .c2a26c868,
    .c672e3e87 {
        flex-direction: column;
    }

    .c672e3e87 .cbae7dda7 {
        width: 100%;
    }

    .c448f53c7 .c5635dcf2 .c4aeaf01d {
        display: block;
        margin-bottom: 10px;
    }

    .cd445e5a9 {
        flex-direction: column;
    }

    .c448f53c7 .cd445e5a9 .cd77fd99a {
        width: 100%;
        margin-bottom: 10px;
    }

    .c448f53c7 .cd445e5a9 .c26ca24dd {
        width: 100%;
    }

    .c9f7289c1,
    .c436496ec {
        width: 100%;
        padding-right: 0;
        margin-bottom: 15px;
    }

    /* 卡片列表 */
    .c4458ac2f {
        margin: 0;
    }

    .c4458ac2f .c805bff20 {
        width: 100%;
        height: auto;
    }

    .cf9d8aec7 {
        padding: 15px;
    }

    .c967a9315 {
        width: 98%;
    }

    .c344e83bb {
        text-align: left;
    }

    .c344e83bb .caa29d2ac {
        margin-right: 10px
    }

    .ca28a009e .c6d3970c7 {
        padding: 10px;
    }
}

@media all and (max-width: 740px) {
    .cab14ae4f {
        width: 50%;
    }
}